Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I need to demote my IE to 7. Please tell me how to do that.

I have some links that don't support(?!!) Internet Explorer 8; they work only in IE 7 or older versions. I tried installing IE 7, but the Setup program doesn't run, saying "there is more updated version".

share|improve this question
    
Goodness gracious. Why? –  Chris_K Dec 16 '09 at 5:58
    
I am not happy doing it .. but I have got some link which doesn't support(?!!) windows Internet explorer 8 .. Link is related to business .. otherwise I would have mentioned it .. –  InfantPro'Aravind' Dec 16 '09 at 6:01
    
Can you give us the link? –  Wilduck Dec 16 '09 at 6:11
    
Certainly the accepted answer has got a point but anyway if you have decided to UNINSTALL IE8 .. then followup my answer written below. –  InfantPro'Aravind' Jan 27 '10 at 17:53
add comment

5 Answers

up vote 8 down vote accepted

seems nobody know about Comptability View feature in IE8, its was specialy designed to correct such issues you may have with old entreprise web-applications or such. you don't have to downgrade.

Internet Explorer 8 is a new release and some websites may not yet be ready for the new browser. Click the Compatibility View toolbar button to display the website as viewed in Internet Explorer 7, which will correct display problems like misaligned text, images, or text boxes. This option is on a per site basis and all other sites will continue to display with Internet Explorer 8 functionality. When you click on the Compatibility View button for a site, you don’t need to do it again as the next time you visit that site the browser will show it in compatibility mode. If for some reason you’d like to go back to browsing with Internet Explorer 8 functionality on that site, simply click the Compatibility View button again.

alt text

more info at msdn.com

share|improve this answer
    
Oh ! ok ! bt its too late to try .. –  InfantPro'Aravind' Dec 16 '09 at 8:07
add comment

You could install Firefox with IE Tab.

If you upgraded from IE 7 to 8, you may be able to go into add/remove programs, show updates, and then remove the update.

share|improve this answer
    
that "LINK" is supported only in IE 7 or its OLDER versions .. –  InfantPro'Aravind' Dec 16 '09 at 6:07
    
Try firefox with IE tab addons.mozilla.org/en-US/firefox/addon/1419 –  Wilduck Dec 16 '09 at 6:10
    
doesn't work too .. –  InfantPro'Aravind' Dec 16 '09 at 6:13
1  
How would using Firefox with IE Tab help?? It's still running the same version of IE as the user has installed. –  Matthew Talbert Dec 16 '09 at 6:54
    
ya you are right ... –  InfantPro'Aravind' Dec 16 '09 at 7:08
add comment

Try this: How do I uninstall or remove Internet Explorer 8?. It's a microsoft support article. If you installed ie 8 prior to XP sp3 you're out of luck and can't remove it. If you cannot get it to uninstall you can try installing another copy of windows into a virtual machine and use IE 7 from there.

share|improve this answer
add comment

From Microsoft Support, "How do I uninstall or remove Internet Explorer 8" should help you.

share|improve this answer
add comment

Open CMD and run this command

%windir%\ie8\spuninst\spuninst.exe

Now go head with uninstallation .. The important thing is You need to install any of the previous version of IE after that uninstallation

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.